package com.cpm.lorealbaautomation.reports.offtakemodels;

import com.google.gson.annotations.SerializedName;

public class SalesGrowthSubAxe {
    @SerializedName("KPI")
    private String kpi;
    @SerializedName("CounterId")
    private Integer counterId;
    @SerializedName("CounterCode")
    private String counterCode;
    @SerializedName("CounterName")
    private String counterName;
    @SerializedName("ParamCode")
    private String paramCode;
    @SerializedName("ParamName")
    private String paramName;
    @SerializedName("Last_Year_SameMonthSale")
    private Double lastYearSameMonthSale;
    @SerializedName("L3M_Avg_Sale")
    private Double l3MAvgSale;
    @SerializedName("Current_Month_Sale")
    private Double currentMonthSale;
    @SerializedName("Growth_over_Last_Year_Per")
    private Double growthOverLastYearPer;
    @SerializedName("Growth_over_L3M_Per")
    private Double growthOverL3MPer;
    @SerializedName("Closing_Stock_LastMonth")
    private Double closingStockLastMonth;
    @SerializedName("NOD")
    private Double nod;

    public String getKpi() {
        return kpi;
    }

    public void setKpi(String kpi) {
        this.kpi = kpi;
    }

    public Integer getCounterId() {
        return counterId;
    }

    public void setCounterId(Integer counterId) {
        this.counterId = counterId;
    }

    public String getCounterCode() {
        return counterCode;
    }

    public void setCounterCode(String counterCode) {
        this.counterCode = counterCode;
    }

    public String getCounterName() {
        return counterName;
    }

    public void setCounterName(String counterName) {
        this.counterName = counterName;
    }

    public String getParamCode() {
        return paramCode;
    }

    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public Double getLastYearSameMonthSale() {
        return lastYearSameMonthSale;
    }

    public void setLastYearSameMonthSale(Double lastYearSameMonthSale) {
        this.lastYearSameMonthSale = lastYearSameMonthSale;
    }

    public Double getL3MAvgSale() {
        return l3MAvgSale;
    }

    public void setL3MAvgSale(Double l3MAvgSale) {
        this.l3MAvgSale = l3MAvgSale;
    }

    public Double getCurrentMonthSale() {
        return currentMonthSale;
    }

    public void setCurrentMonthSale(Double currentMonthSale) {
        this.currentMonthSale = currentMonthSale;
    }

    public Double getGrowthOverLastYearPer() {
        return growthOverLastYearPer;
    }

    public void setGrowthOverLastYearPer(Double growthOverLastYearPer) {
        this.growthOverLastYearPer = growthOverLastYearPer;
    }

    public Double getGrowthOverL3MPer() {
        return growthOverL3MPer;
    }

    public void setGrowthOverL3MPer(Double growthOverL3MPer) {
        this.growthOverL3MPer = growthOverL3MPer;
    }

    public Double getClosingStockLastMonth() {
        return closingStockLastMonth;
    }

    public void setClosingStockLastMonth(Double closingStockLastMonth) {
        this.closingStockLastMonth = closingStockLastMonth;
    }

    public Double getNod() {
        return nod;
    }

    public void setNod(Double nod) {
        this.nod = nod;
    }
}
